%define pypi_name	dpkt

Name:		python-%{pypi_name}
Version:	1.9.8
Release:	%mkrel 4
Summary:	Fast, simple packet creation and parsing
License:	BSD
Group:		Development/Python
URL:		https://pypi.org/project/dpkt/
Source0:	%{pypi_source}
BuildArch:      noarch

%description
Fast, simple packet creation / parsing, with definitions
for the basic TCP/IP protocols.

%package -n	python3-%{pypi_name}
Summary:	Fast, simple packet creation and parsing
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Fast, simple packet creation / parsing, with definitions for
the basic TCP/IP protocols.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dpkt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9.8-4.mga10
+ Revision: 2238279
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.9.8-3.mga10
+ Revision: 2154720
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 1.9.8-2.mga10
+ Revision: 2017376
- rebuild for python3.12
- adapt to pyproject

* Thu Sep 29 2022 neoclust <neoclust> 1.9.8-1.mga9
+ Revision: 1893233
- New version 1.9.8

* Wed Mar 23 2022 umeabot <umeabot> 1.9.7.2-2.mga9
+ Revision: 1823774
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.9.7.2-1.mga9
+ Revision: 1785034
- version 1.9.7.2
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.9.4-2.mga9
+ Revision: 1732873
- Rebuild for python 3.9

* Sun Nov 22 2020 guillomovitch <guillomovitch> 1.9.4-1.mga8
+ Revision: 1648484
- new version 1.9.4

* Sun Feb 16 2020 umeabot <umeabot> 1.9.2-4.mga8
+ Revision: 1535554
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 1.9.2-3.mga8
+ Revision: 1452159
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.9.2-2.mga7
+ Revision: 1352487
- Rebuild for python3 3.7

* Sun Dec 23 2018 kekepower <kekepower> 1.9.2-1.mga7
+ Revision: 1344636
- Update to version 1.9.2

* Thu Sep 20 2018 umeabot <umeabot> 1.9.1-4.mga7
+ Revision: 1288788
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use {py3dir}

* Tue Mar 20 2018 kekepower <kekepower> 1.9.1-3.mga7
+ Revision: 1210802
- Renamed python-dpkt to python2-dpkt

* Sat Aug 05 2017 pterjan <pterjan> 1.9.1-2.mga7
+ Revision: 1135404
- Rebuild for python 3.6

* Tue Aug 01 2017 daviddavid <daviddavid> 1.9.1-1.mga7
+ Revision: 1133438
- new version: 1.9.1
- add the python3 subpackage

* Thu Jun 16 2016 philippem <philippem> 1.8.7-1.mga6
+ Revision: 1021737
- update to 1.8.7

* Fri Feb 19 2016 umeabot <umeabot> 1.8.6.2-2.mga6
+ Revision: 970800
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 philippem <philippem> 1.8.6.2-1.mga6
+ Revision: 888462
- update to 1.8.6.2, set as noarch

* Wed Oct 15 2014 umeabot <umeabot> 1.8-7.mga5
+ Revision: 750119
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8-6.mga5
+ Revision: 728375
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8-5.mga5
+ Revision: 688007
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 543258
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.8-2.mga4
+ Revision: 498440
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 dlucio <dlucio> 1.8-1.mga4
+ Revision: 460740
- 1.8
- imported package python-dpkt


* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 1.7-2mdv2011.0
+ Revision: 598985
- rebuild for py2.7

* Sun Sep 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdv2011.0
+ Revision: 577742
- new version

* Mon Jan 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-1mdv2010.1
+ Revision: 489427
- new version

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4-8mdv2010.0
+ Revision: 442100
- rebuild

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 1.4-7mdv2009.1
+ Revision: 323627
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.4-6mdv2009.0
+ Revision: 259583
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.4-5mdv2009.0
+ Revision: 247407
- rebuild

* Sat Dec 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-3mdv2008.1
+ Revision: 139211
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-2mdv2007.0
+ Revision: 96097
- Rebuild for new python
- Import python-dpkt

* Sun Mar 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4-1mdk
- initial Mandriva package

